Skip to main content
GET
/
api
/
v1
/
transactions
/
{id}
Işlemi getir
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/transactions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "extra_properties_dict": {},
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "external_merchant_id": "<string>",
  "merchant_name": "<string>",
  "basket_id": "<string>",
  "external_id": "<string>",
  "amount": 123,
  "net_amount": 123,
  "currency": "<string>",
  "bin_number": 123,
  "last4": "<string>",
  "card_holder_name": "<string>",
  "masked_card_number": "<string>",
  "issuer_bank_code": "<string>",
  "issuer_bank_name": "<string>",
  "issuer_bank_logo_url": "<string>",
  "is3_d_secure": true,
  "installment_count": 123,
  "created": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "error_message": "<string>",
  "connector_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "connector_configuration_name": "<string>",
  "connector_code": "<string>",
  "installment_amount": 123,
  "bank_commission_amount": 123,
  "merchant_commission_amount": 123,
  "net_merchant_amount": 123,
  "settlement_date": "2023-11-07T05:31:56Z",
  "bank_response_code": "<string>",
  "provider_transaction_id": "<string>",
  "auth_code": "<string>",
  "host_reference": "<string>",
  "rrn": "<string>",
  "ip_address": "<string>",
  "cavv": "<string>",
  "eci": "<string>",
  "xid": "<string>",
  "md": "<string>",
  "three_ds_server_trans_id": "<string>",
  "provider_raw_request": "<string>",
  "provider_raw_response": "<string>"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Response

OK

extra_properties_dict
object
id
string<uuid>
merchant_id
string<uuid>
external_merchant_id
string | null
merchant_name
string | null
basket_id
string | null
external_id
string | null
amount
integer<int64>
net_amount
integer<int64>
currency
string | null
status
enum<string>
Available options:
Created,
Processing,
Authorized,
Completed,
Failed,
Refunded,
Canceled,
CanceledProcessing,
RefundProcessing,
ThreeDSecureInitProcessing,
ThreeDSecureAuthProcessing,
CaptureProcessing
operation_type
enum<string>
Available options:
Sale,
PreAuth,
PostAuth,
Void,
Refund,
Recurring
payment_type
enum<string>
Available options:
Card,
Wallet,
BkmExpress,
BankTransfer,
Link
bin_number
integer<int32> | null
last4
string | null
card_holder_name
string | null
masked_card_number
string | null
card_schema_type
enum<string>
Available options:
Visa,
MasterCard,
Amex,
Troy,
UnionPay,
Proprietary
card_brand
enum<string>
Available options:
Bonus,
Axess,
World,
Maximum,
Cardfinans,
Paraf,
Advantage,
Bankkart,
Other
card_type
enum<string>
Available options:
Credit,
Debit,
Prepaid
issuer_bank_code
string | null
issuer_bank_name
string | null
issuer_bank_logo_url
string | null
is3_d_secure
boolean
secure_type
enum<string>
Available options:
Non3D,
ThreeDSv1,
ThreeDSv2,
ThreeDPay
installment_count
integer<int32>
created
string<date-time>
completed_at
string<date-time> | null
error_message
string | null
connector_configuration_id
string<uuid> | null
connector_configuration_name
string | null
connector_code
string | null
installment_amount
integer<int64>
bank_commission_amount
integer<int64>
merchant_commission_amount
integer<int64>
net_merchant_amount
integer<int64>
settlement_date
string<date-time> | null
bank_response_code
string | null
md_status
enum<string>
Available options:
Unknown,
FullyAuthenticated,
AttemptedAuthentication,
AuthenticationFailed
provider_transaction_id
string | null
auth_code
string | null
host_reference
string | null
rrn
string | null
ip_address
string | null
cavv
string | null
eci
string | null
xid
string | null
md
string | null
three_ds_server_trans_id
string | null
provider_raw_request
string | null
provider_raw_response
string | null